Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator Class Reference

This class is used to delegate the computation of the values associated to meta nodes or edges. More...

`#include <AbstractProperty.h>`

Inheritance diagram for tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator:
[legend]
Collaboration diagram for tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator:
[legend]

List of all members.

## Public Member Functions

- virtual void computeMetaValue (AbstractProperty< Tnode, Tedge, TPROPERTY > *, node, Graph *, Graph *)
- virtual void computeMetaValue (AbstractProperty< Tnode, Tedge, TPROPERTY > *, edge, tlp::Iterator< edge > *, Graph *)

## Detailed Description

### template<class Tnode, class Tedge, class TPROPERTY = Algorithm>
class tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator

This class is used to delegate the computation of the values associated to meta nodes or edges.

## Member Function Documentation

template<class Tnode, class Tedge, class TPROPERTY = Algorithm>

virtual void tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator::computeMetaValue | ( | AbstractProperty< Tnode, Tedge, TPROPERTY > * | ,
|  | node | ,
|  | Graph * | ,
|  | Graph * |
| ) |  | `[inline, virtual]`

template<class Tnode, class Tedge, class TPROPERTY = Algorithm>

virtual void tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >::MetaValueCalculator::computeMetaValue | ( | AbstractProperty< Tnode, Tedge, TPROPERTY > * | ,
|  | edge | ,
|  | tlp::Iterator< edge > * | ,
|  | Graph * |
| ) |  | `[inline, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2012